Trying to upgrade to latest Coursepress fails

Hi, when I try and update to the latest Courspress plugin, it gives me an error connecting to the server to install..?

What is the problem, and how do I rectify this?

Thanks,
Olly.